-
 KDE-Apps.org Applications for the KDE-Desktop 
 GTK-Apps.org Applications using the GTK Toolkit 
 GnomeFiles.org Applications for GNOME 
 MeeGo-Central.org Applications for MeeGo 
 CLI-Apps.org Command Line Applications 
 Qt-Apps.org Free Qt Applications 
 Qt-Prop.org Proprietary Qt Applications 
 Maemo-Apps.org Applications for the Maemo Plattform 
 Java-Apps.org Free Java Applications 
 eyeOS-Apps.org Free eyeOS Applications 
 Wine-Apps.org Wine Applications 
 Server-Apps.org Server Applications 
 apps.ownCloud.com ownCloud Applications 
--
-
 KDE-Look.org Artwork for the KDE-Desktop 
 GNOME-Look.org Artwork for the GNOME-Desktop 
 Xfce-Look.org Artwork for the Xfce-Desktop 
 Box-Look.org Artwork for your Windowmanager 
 E17-Stuff.org Artwork for Enlightenment 
 Beryl-Themes.org Artwork for the Beryl Windowmanager 
 Compiz-Themes.org Artwork for the Compiz Windowmanager 
 EDE-Look.org Themes for your EDE Desktop 
--
-
 Debian-Art.org Stuff for Debian 
 Gentoo-Art.org Artwork for Gentoo Linux 
 SUSE-Art.org Artwork for openSUSE 
 Ubuntu-Art.org Artwork for Ubuntu 
 Kubuntu-Art.org Artwork for Kubuntu 
 LinuxMint-Art.org Artwork for Linux Mint 
 Arch-Stuff.org Art And Stuff for Arch Linux 
 Frugalware-Art.org Themes for Frugalware 
 Fedora-Art.org Artwork for Fedora Linux 
 Mandriva-Art.org Artwork for Mandriva Linux 
--
-
 KDE-Files.org Files for KDE Applications 
 OpenTemplate.org Documents for OpenOffice.org
 GIMPStuff.org Files for GIMP
 InkscapeStuff.org Files for Inkscape
 ScribusStuff.org Files for Scribus
 BlenderStuff.org Textures and Objects for Blender
 VLC-Addons.org Themes and Extensions for VLC
--
-
 KDE-Help.org Support for your KDE Desktop 
 GNOME-Help.org Support for your GNOME Desktop 
 Xfce-Help.org Support for your Xfce Desktop 
--
openDesktop.orgopenDesktop.org:   Applications   Artwork   Linux Distributions   Documents    LinuxDaily.com    Linux42.org    OpenSkillz.com   
 
Apps
News
Groups
Knowledge
Events
Forum
People
Jobs
Register
Login


Sponsoring


-
- Content .- Fans (93) .- Knowledge Base  . 

gmail-plasmoid

   0.7.20  

Plasmoid Script

Score 91%
gmail-plasmoid
zoom


gmail-plasmoid
zoom


gmail-plasmoid
zoom


Homepage:  Link
Minimum required   KDE 4.x
Downloads:  14314
Submitted:  Mar 19 2009
Updated:  Jan 31 2012

Description:

A Gmail notification widget for your desktop or panel.

This widget is designed to be docked in a panel, or added to your desktop, and display the number of unread messages in multiple Gmail accounts. Clicking on the widget will open the Gmail account in your favorite browser. The widget is written in python, meaning that there is no compiling necessary as long as you have the required script-engine installed.

For more screenshots visit the project homepage.

Features:
- *NEW* New simplified version re-implemented in qml and javascript available for testing (very early version with little error checking and many features missing and/or removed).
- *NEW* New qml version likely requires KDE 4.8 (but may work with KDE 4.7).
- *NEW* Testing qml version will coexist with existing gmail-plasmoid (testing version is called gmail-plasmoid-qml).
- *NEW* Any comments regarding new qml version appreciated.

- Selectable fetching mechanism to address multiple issues (see "Misc." configuration tab)
- Dynamic network connection detection
- Bulgarian, Chinese Traditional, Czech, French, German, Greek, Italian, Polish, Russian, Serbian, Spanish and Ukrainian translations
- Supports multiple Gmail accounts and Gmail labels
- Supports Gmail hosted domains
- Uses KWallet to securely store passwords
- Configurable icon and text font, size and color
- Configurable command run upon clicking the widget
- Configurable notifications using the KDE notification system
- Includes notification for when no unread emails exist (useful for running command to turn off message indicator LEDs, etc.)
- "Check email now" menu option to force email check upon command
- Ability to manually pause and resume email checking
- Threads context menu that shows unread messages on right-click


Please let me know if you find any problems or would like some new features included. The best place to request new features is on the project's homepage.

How to install:
- Download the latest version
- Uninstall any previous version (see instructions below)
- Run the following command in the directory where the file was placed (updated to reflect the actual filename):

Quote:
plasmapkg -i gmail-plasmoid-0.7.20.plasmoid

- The widget should now be listed in your "Add Widgets" screen

Note: If you get missing script-engine errors when loading the widget you need to install the plasma python script-engine (in openSUSE this requires the "python-kdebase4" and "python-devel" packages, in Fedora this requires the "kdebase-workspace-python-applet" package, in Kubuntu this requires the "plasma-scriptengine-python" package)

How to uninstall:
- Run the following command at the command line:

Quote:
plasmapkg -r gmail-plasmoid




Changelog:

0.7.20 (11.07.2011)
- Added workaround for bug affecting kwallet

0.7.19 (10.07.2011)
- Fixed bug in label fetching
- Updated French translation

0.7.18 (09.07.2011)
- Added multiple fetch mechanisms
- Added dynamic network connection detection
- Added ability to reduce debug output

0.7.17 (04.07.2011)
- Updated kwallet handling
- Updated handling of translations
- Made configuration screen non-blocking
- Other minor fixes and changes

0.7.16 (13.02.2011)
- Fixed kwallet issue under KDE SC 4.6

0.7.15 (25.09.2010)
- Fixed issue with newer versions of SIP
- Updated to use default pop-up for better consistency with Plasma desktop




LicenseGPL
(plasmoid package (version 0.7.20))
(alternate download location (version 0.7.20))
(previous version (version 0.7.19))
(Early development qml based gmail-plasmoid (0.0.3))
Send to a friend
Subscribe
Other  Apps  from mjmccans
Report inappropriate content



goto page: prev  ... 13  14  15  16  17  18  19  20  21  22  23  24  25 

-
.

 0.7.20 works

 
 by digitalone on: Jul 11 2011
 
Score 63%

It works for me now on Arch x64...thanks!


Reply to this

-

 Re: 0.7.20 works

 
 by chepioq on: Jul 12 2011
 
Score 63%

It work fine for me with Fedora 15 and kde 4.6.5, and with Fedora 16-rawhide and kde 4.6.9 (future kde 4.7)


Reply to this

-

 Problem and feature request

 
 by Gadius on: Jul 17 2011
 
Score 50%

The password problem continues here, Chakra with KDE 4.6.5. I've tried deleting the plasmoid and the configuration but it persists. Don't know if it's a distro problem.

The feature request is that, few versions ago, when the plasmoid was in notification area, the icon disappeared when it was no new mail. Can you turn back this feature?

Thanks for this great job, I use this extensions from my beginnings with KDE :)


Reply to this

-

 Re: Problem and feature request

 
 by schnelle on: Jul 22 2011
 
Score 50%

"The feature request is that, few versions ago, when the plasmoid was in notification area, the icon disappeared when it was no new mail. Can you turn back this feature?"

I need (want) that too :)


Reply to this

-

 Re: Problem and feature request

 
 by mjmccans on: Jul 28 2011
 
Score 50%

Hopefully we can solve the password problem that you are having. It would be helpful if you could start a new issue on the Google Code site for the plasmoid (linked as the home page above) and post the output that you get when you run the plasmoid in a terminal.

For the hiding of the icon feature, I will try to add that feature back in a future version of the plasmoid (possibly in the version after the one that I am currently working on). The old version of the feature was primitive and would cause problems in some circumstances, so I need to put together something slightly better if it is to be added back.


Reply to this

-

 Hey

 
 by sxe on: Jul 25 2011
 
Score 50%

For security reasons i'm using the 2-step verification option from gemail. Its a second security layer where you have to enter a second password generated on your phone.

If the application you are using is not capable of using this new 2-step verification system, they provide an alternate method "one time passwords" for that application.
Normally the password is generated only once, you enter it in your application and it should work from then (like a normal password). However, your plasmoid keeps asking me for the password each start.

I'm using the fetching mechanism "KDE", the other one is not working for me.

Any idea whats going wrong here?

Thx


Reply to this

-

 Re: Hey

 
 by mjmccans on: Jul 28 2011
 
Score 50%

This may simply be a problem with the KDE fetching mechanism as you appear to be having the exact problem that the python fetching mechanism was meant to address. Can you please enable the python fetching mechanism while running the plasmoid in a terminal and let me know if you get any errors? If you do find a problem it would be best to start a new issue on the Google Code site for the plasmoid, which is linked as the home page above. Thanks.


Reply to this

-

 Re: Re: Hey

 
 by sxe on: Jul 29 2011
 
Score 50%

ah, i feel a bit stupid now. It works when you add the password directly. I got a popup before, that notifies me, that my password was wrong (on kde start) and i only changed it there, stupid me. After the next start i had to input it in the popup again, cause it was not saved ( i think). So now everything works.

Anyway, a suggestion. You should handle labels in the plasmoid a bit different to make it less painful adding a bunch of them. You could handle it like this:

Add the main account and add subaccount (lables) which inherit everything from the main account. So you could avoid that the user has to add his password and username again and again. Just a suggestion. :)

Ah and btw, keep updating this great piece of software. One of the best plasmoids out there. Great work.


Reply to this

-

 not working

 
 by zubi on: Jul 28 2011
 
Score 50%

Version 7.20 fix bug whit kwallet. But then for unknown reasons stopped to take unread messages! I am now with KDE 4.7. I tried to reinstall python-kdebase4, but without success ...


Reply to this

-

 add new functionality

 
 by chepioq on: Jul 31 2011
 
Score 50%

I don't know if it's possible, but can you add an animation in your plasmoid ? Like a little dog with a letter when a new mail appear ?


Reply to this

-
.

 Wasn't able to Install.

 
 by Methate on: Aug 16 2011
 
Score 50%

Downloaded latest version, unzip archive.

Filename: gmail-plasmoid.svg

plasmapkg -i gmail-plasmoid.svg
plasmapkg(26104)/libplasma Plasma::PackageStructure::metadata: Could not open package file, unsupported archive format: "/home/klaus/downloads/gmail-plasmoid.svg" "image/svg+xml"
KCrash: Application 'plasmapkg' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/root/.kde/socket-workstation/kdeinit4__0
Warning: connect() failed: : No such file or directory
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi directly

[1]+ Stopped plasmapkg -i gmail-plasmoid.svg


What do I do wrong?

3.0-0.slh.4-aptosid-amd64


Reply to this

-

 Re: Wasn't able to Install.

 
 by chepioq on: Aug 17 2011
 
Score 50%

You use a bad command, or a bad file...
Download gmail-plasmoid-0.7.20.plasmoid, in console go to the directory where is the file, and launch the command :
plasmapkg -i gmail-plasmoid-0.7.20.plasmoid


Reply to this

-

 Re: Re: Wasn't able to Install.

 
 by Methate on: Aug 17 2011
 
Score 50%

O RLY?:)

Pls download the current archive from this page and tell me where is *.plasmoid file should be, because there is no .plasmoid file in root of archive. Just gmail-plasmoid.svg and metadata.desktop.


Reply to this

-

 Re: Re: Re: Wasn't able to Install.

 
 by chepioq on: Aug 17 2011
 
Score 50%

When you download, you get a file named 101229-gmail-plasmoid-0.7.20.plasmoid.
Just rename in gmail-plasmoid-0.7.20.plasmoid and apply the command.
DON'T UNPACK THIS FILE !!!


Reply to this

-
.

 Re: Re: Re: Re: Wasn't able to Install.

 
 by Methate on: Aug 17 2011
 
Score 50%

When I download It in opera I get zip archive, lol =)


Reply to this

-

 Re: Re: Re: Re: Re: Wasn't able to Install.

 
 by chepioq on: Aug 17 2011
 
Score 50%

gmail-plasmoid-0.7.20.plasmoid is an zip archive, but don't unpack. Just apply the command.


Reply to this

-

 Re: Re: Re: Re: Re: Re: Wasn't able to Install.

 
 by Methate on: Aug 17 2011
 
Score 50%

DONE.

root@workstation:/home/klaus/downloads# plasmapkg -i gmail-plasmoid-0.7.20.plasmoid
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
kbuildsycoca4 running...
Successfully installed /home/klaus/downloads/gmail-plasmoid-0.7.20.plasmoid
root@workstation:/home/klaus/downloads# kbuildsycoca4 running...


And still nothing. Unable to add widget from Plasma menu.



-

 Re: Re: Re: Re: Re: Re: Wasn't able to Install.

 
 by chepioq on: Aug 17 2011
 
Score 50%

try reboot your computer or your session.



goto page: prev  ... 13  14  15  16  17  18  19  20  21  22  23  24  25 

Add commentBack






-
-
Do you like or dislike Ubuntu Unity?
 Yes, unity is alien technology!
 It is less confusing than Gnome 3 default, shell.
 Granny thinks it is much more usable than Gnome 2
 Canonical is embarrasing itself with this split project
 Gnome 3 default shell is much better
 I dislike Unity, Gnome 3 default shell is alien technology!
 None of the above, I like the 2Gb for free and Apple alike behavior. Will post a comment instead

resultmore
 
 
 Who we are
Contact
More about us
Frequently Asked Questions
Register
Twitter
Blog
Explore
Apps
Jobs
Knowledge
Events
People
Updates on identi.ca
Updates on Twitter
Facebook App
Content RSS   
Events RSS   

Participate
Groups
Forum
Add App
Public API
About KDE-Apps.org
Legal Notice
Spreadshirt Shop
CafePress Shop
Advertising
Sponsor us
Report Abuse
 

Copyright 2003-2014 KDE-Apps.org Team  
All rights reserved. KDE-Apps.org is not liable for any content or goods on this site.
All contributors are responsible for the lawfulness of their uploads.
KDE and K Desktop Environment are trademarks of KDE e.V.